Resolve cryptocurrency addresses for an ENS name
curl --request GET \
--url https://api.resolvio.xyz/ens/v2/addresses/{name}import requests
url = "https://api.resolvio.xyz/ens/v2/addresses/{name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.resolvio.xyz/ens/v2/addresses/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "artii.eth",
"addresses": [
{
"coin": 60,
"exists": true,
"chain": "eth",
"value": "0x179A862703a4adfb29896552DF9e307980D19285"
}
]
}Resolvio API
Get ENS addresses
Multichain address records for one ENS name.
GET
/
ens
/
v2
/
addresses
/
{name}
Resolve cryptocurrency addresses for an ENS name
Retrieve cryptocurrency addresses (e.g., ETH, BTC) associated with an ENS name. Optionally filter by coin types.
Path Parameters
ENS name to resolve
Required string length:
6 - 256Example:
"artii.eth"
Query Parameters
Skip cache and fetch fresh data
Comma-separated coin type numbers
Example:
"60,0"
Comma-separated chain names
Example:
"eth,btc,base"
Was this page helpful?

